
Foreman - Feature #24193

Create multiexception class for better exception handling in core.

07/09/2018 06:02 AM - Rahul Bajaj

Status: Closed   

Priority: Normal   

Assignee: Rahul Bajaj   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5785

  

Description

The ultimate goal of this:

- Proper message in plain and JSON

   - Proper use of Ruby exceptions

   - ERF codes for all error messages

   - ERF code for the overall message "Errors during rebooting" (for related issue in discovery)

Associated revisions

Revision ab19a3e4 - 12/14/2018 12:57 PM - Rahul Bajaj

Fixes #24193 - introduced Foreman multiexception class

History

#1 - 07/09/2018 06:05 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5785 added

#2 - 12/14/2018 12:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 12/14/2018 01:01 PM - Rahul Bajaj

- Status changed from Ready For Testing to Closed

Applied in changeset ab19a3e4cea7c10af7415ea2422a8bd410baf49b.

#4 - 01/02/2019 01:58 PM - Tomer Brisker

- Fixed in Releases 1.21.0 added

#5 - 01/06/2019 03:31 PM - Tomer Brisker

- Category set to Development tools
